Subject: [os2genau_digest] No. 587
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 10 Apr 2003 00:04:04 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 09 April 2003
 Number  587
**************************************************

Subjects for today
 
1  Re:  Byte sequencer not found : Ian Manners" <deadmail>
2  Re:  2GB Filesize limit : madodel at ptdprolog dot net
3  Re:  2GB Filesize limit : Ian Manners" <deadmail>
4  Re:  2GB Filesize limit : Ed Durrant <edurrant at bigpond dot net dot au>
5  Re:  2GB Filesize limit : Ed Durrant <edurrant at bigpond dot net dot au>
6  Re:  2GB Filesize limit : Ian Manners" <deadmail>

**= Email   1 ==========================**

Date:  Wed, 09 Apr 2003 01:52:19 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Byte sequencer not found

Hi Gavin

> Hi all, any hackers out there?

Who, me ? Never....

> standpoint ).  Is this because of HPFS or Internet noise or what.  Downloaded patch 
> files can't find the required bytes either.  I should also mention that these are DOS or 
> Windows programs that I'm trying to edit.

I have had a similar problem in the past, using Patch (hex editor) on
a FAT partition I was able to find it, I have no idea why it is so, it just
was, as the theory tells me a file is a file is a file !
 
The other possibility is that you simply have the wrong version
of the file, try doing a search on a portion of the HEX string, or use a
decomiler and zero out the checking routines using an ASM
editor, you will have some false efforts but I find thats the
best way, and make sure you back the file up.

I'll dig though my old archives this weekend for some other
common protection strings to look for if you havent got
it fixed by then.

Cheers
Ian B Manners
http://www.os2site dot com/

Wait!!  Don't pick up that teleph
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 08 Apr 2003 12:28:36 -0400
From:  madodel at ptdprolog dot net
Subject:  Re:  2GB Filesize limit

In <3E928E75.914B7356 at bigpond dot net dot au>, on 04/08/03 at 06:55 PM,
   Ed Durrant <edurrant at bigpond dot net dot au> said:

>Can someone confirm that a 2GB filesize limit exists under OS/2 Warp
>Server (Warp 3 based) when running HPFS386 ??

I don't have experience with this myself, but according to the  "Quick
Beginnings: Installing OS/2 Warp Server for e-business" that came with
Aurora, page 14, "JFS gives you the ability to create and maintain volumes
up to 2TB in size, as opposed to the HPFS and 386 HPFS limit to 64GB and
the FAT limit of 2GB.  JFS also allows file sizes of up to 2TB, while
HPFS, 386 HPFS, and FAT allow file sizes of 2GB."

Mark

-- 

 From the eComStation Desktop of: Mark Dodel

Warpstock 2002, In the home of OS/2 - Austin, Texas.  Were you there?   http://www.warpstock dot org

For a choice in the future of personal computing, Join VOICE - http://www.os2voice dot org

  "The liberty of a democracy is not safe if the people tolerate the growth of private power to a point where it becomes stronger than their democratic State itself.   That in it's essence, is Fascism - ownership of government by an individual, by a group or by any controlling private power." Franklin Delano Roosevelt, Message proposing the Monopoly Investigation, 1938 

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 09 Apr 2003 02:52:25 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  2GB Filesize limit

Hi Ed

> > Can someone confirm that a 2GB filesize limit exists under OS/2 Warp
> > Server (Warp 3 based) when running HPFS386 ??

The short answer is yes, just had to check myself to be sure.
 
> I don't have experience with this myself, but according to the  "Quick
> Beginnings: Installing OS/2 Warp Server for e-business" that came with
> Aurora, page 14, "JFS gives you the ability to create and maintain volumes
> up to 2TB in size, as opposed to the HPFS and 386 HPFS limit to 64GB and
> the FAT limit of 2GB.  JFS also allows file sizes of up to 2TB, while
> HPFS, 386 HPFS, and FAT allow file sizes of 2GB."

Which is why I use JFS, my AIX backup file is well over 2Gb now, and
I expect to match that shortly under OS/2 as I got bored over the
weekend and put all my internet stuff on one server, used to be on
4 different servers, I do strange things like this simply because I
can under OS/2......

So I currently have about 22 domains using one server with Apache
and Peter Moylans Weasel, the only catch at present is that 2 of the
other servers are still running but only with the relevant mailing list
software, as that bits not multi domain, yet. That should be
rectified shortly.

Great point for a single failure, but hey, live dangerously :-)
Next weekend I might move it back to the original four servers.
but then again, maybe I should mow the lawn first :-|

Cheers
Ian B Manners
http://www.os2site dot com/

Straight from the "What it's worth department"!
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 09 Apr 2003 06:38:16 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  2GB Filesize limit

OK, that's confirmed it - thanks

Ed.

madodel at ptdprolog dot net wrote:

> In <3E928E75.914B7356 at bigpond dot net dot au>, on 04/08/03 at 06:55 PM,
>    Ed Durrant <edurrant at bigpond dot net dot au> said:
>
> >Can someone confirm that a 2GB filesize limit exists under OS/2 Warp
> >Server (Warp 3 based) when running HPFS386 ??
>
> I don't have experience with this myself, but according to the  "Quick
> Beginnings: Installing OS/2 Warp Server for e-business" that came with
> Aurora, page 14, "JFS gives you the ability to create and maintain volumes
> up to 2TB in size, as opposed to the HPFS and 386 HPFS limit to 64GB and
> the FAT limit of 2GB.  JFS also allows file sizes of up to 2TB, while
> HPFS, 386 HPFS, and FAT allow file sizes of 2GB."
>
> Mark
>
> --
>
>  From the eComStation Desktop of: Mark Dodel
>
> Warpstock 2002, In the home of OS/2 - Austin, Texas.  Were you there?   http://www.warpstock dot org
>
> For a choice in the future of personal computing, Join VOICE - http://www.os2voice dot org
>
>   "The liberty of a democracy is not safe if the people tolerate the growth of private power to a point where it becomes stronger than their democratic State itself.   That in it's essence, is Fascism - ownership of government by an individual, by a group or by any controlling private power." Franklin Delano Roosevelt, Message proposing the Monopoly Investigation, 1938
>

>  

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 09 Apr 2003 06:42:36 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  2GB Filesize limit

I have a system to upgrade from Warp Server / HPFS386 to WSeB / JFS. The problem is
that it runs DB/2 and the tables have grown to over 3GB, hence exporting to a HPFS386
drive becomes "interesting". The solution I have at present is to export to a network
drive, which for some reason doesn't appear to have the 2GB filesize limit.

Thanks for everyones comments.

Re your configuration change suggestions, there's always the rule "if it aint broke
dont fix it" to consider Ian.

Cheers/2
Ed.

Ian Manners wrote:

> Hi Ed
>
> > > Can someone confirm that a 2GB filesize limit exists under OS/2 Warp
> > > Server (Warp 3 based) when running HPFS386 ??
>
> The short answer is yes, just had to check myself to be sure.
>
> > I don't have experience with this myself, but according to the  "Quick
> > Beginnings: Installing OS/2 Warp Server for e-business" that came with
> > Aurora, page 14, "JFS gives you the ability to create and maintain volumes
> > up to 2TB in size, as opposed to the HPFS and 386 HPFS limit to 64GB and
> > the FAT limit of 2GB.  JFS also allows file sizes of up to 2TB, while
> > HPFS, 386 HPFS, and FAT allow file sizes of 2GB."
>
> Which is why I use JFS, my AIX backup file is well over 2Gb now, and
> I expect to match that shortly under OS/2 as I got bored over the
> weekend and put all my internet stuff on one server, used to be on
> 4 different servers, I do strange things like this simply because I
> can under OS/2......
>
> So I currently have about 22 domains using one server with Apache
> and Peter Moylans Weasel, the only catch at present is that 2 of the
> other servers are still running but only with the relevant mailing list
> software, as that bits not multi domain, yet. That should be
> rectified shortly.
>
> Great point for a single failure, but hey, live dangerously :-)
> Next weekend I might move it back to the original four servers.
> but then again, maybe I should mow the lawn first :-|
>
> Cheers
> Ian B Manners
> http://www.os2site dot com/
>
> Straight from the "What it's worth department"!

>  

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Wed, 09 Apr 2003 12:03:59 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  2GB Filesize limit

Hi Ed

> I have a system to upgrade from Warp Server / HPFS386 to WSeB / JFS. The problem is
> that it runs DB/2 and the tables have grown to over 3GB, hence exporting to a HPFS386
> drive becomes "interesting". The solution I have at present is to export to a network
> drive, which for some reason doesn't appear to have the 2GB filesize limit.

The 2Gb limit is I believe related to the kernal version as well, also
depends on what is on the other end of the network driver in regards
to OS and filesystem, including filesystem version.
 
> Re your configuration change suggestions, there's always the rule "if it aint broke
> dont fix it" to consider Ian.

But OS/2 is soooo boring, have to try something sometimes, at least
I got to see the computer room, which I hadnt seen for a while :)
 
Cheers
Ian B Manners
http://www.os2site dot com/

COBOL programmers understand why women hate periods.
----------------------------------------------------------------------------------